WebView (JavaFX 13)

Module javafx.web
Package javafx.scene.web

## Class WebView

- java.lang.Object
- - javafx.scene.Node
  - - javafx.scene.Parent
    - - javafx.scene.web.WebView

- All Implemented Interfaces:
    `Styleable`, `EventTarget`

      public final class WebView
      extends Parent

  `WebView` is a `Node` that manages a `WebEngine` and displays its content. The associated `WebEngine` is created automatically at construction time and cannot be changed afterwards. `WebView` handles mouse and some keyboard events, and manages scrolling automatically, so there's no need to put it into a `ScrollPane`.

  `WebView` objects must be created and accessed solely from the FX thread.

  Since:
    JavaFX 2.0

- - ### Property Summary

    Properties
    Type | Property | Description
    --- | --- | ---
    `BooleanProperty` | `contextMenuEnabled` | Specifies whether context menu is enabled.
    `DoubleProperty` | `fontScale` | Specifies scale factor applied to font.
    `ObjectProperty<FontSmoothingType>` | `fontSmoothingType` | Specifies a requested font smoothing type : gray or LCD.
    `ReadOnlyDoubleProperty` | `height` | Height of this `WebView`.
    `DoubleProperty` | `maxHeight` | Maximum height property.
    `DoubleProperty` | `maxWidth` | Maximum width property.
    `DoubleProperty` | `minHeight` | Minimum height property.
    `DoubleProperty` | `minWidth` | Minimum width property.
    `DoubleProperty` | `prefHeight` | Preferred height property.
    `DoubleProperty` | `prefWidth` | Preferred width property.
    `ReadOnlyDoubleProperty` | `width` | Width of this `WebView`.
    `DoubleProperty` | `zoom` | The current zoom factor applied to the entire page contents.

    - ### Properties inherited from class javafx.scene.Parent

      `needsLayout`

    - ### Properties inherited from class javafx.scene.Node

      `accessibleHelp, accessibleRoleDescription, accessibleRole, accessibleText, blendMode, boundsInLocal, boundsInParent, cacheHint, cache, clip, cursor, depthTest, disabled, disable, effectiveNodeOrientation, effect, eventDispatcher, focused, focusTraversable, hover, id, inputMethodRequests, layoutBounds, layoutX, layoutY, localToParentTransform, localToSceneTransform, managed, mouseTransparent, nodeOrientation, onContextMenuRequested, onDragDetected, onDragDone, onDragDropped, onDragEntered, onDragExited, onDragOver, onInputMethodTextChanged, onKeyPressed, onKeyReleased, onKeyTyped, onMouseClicked, onMouseDragEntered, onMouseDragExited, onMouseDragged, onMouseDragOver, onMouseDragReleased, onMouseEntered, onMouseExited, onMouseMoved, onMousePressed, onMouseReleased, onRotate, onRotationFinished, onRotationStarted, onScrollFinished, onScroll, onScrollStarted, onSwipeDown, onSwipeLeft, onSwipeRight, onSwipeUp, onTouchMoved, onTouchPressed, onTouchReleased, onTouchStationary, onZoomFinished, onZoom, onZoomStarted, opacity, parent, pickOnBounds, pressed, rotate, rotationAxis, scaleX, scaleY, scaleZ, scene, style, translateX, translateY, translateZ, viewOrder, visible`

  - ### Field Summary

    - ### Fields inherited from class javafx.scene.Node

      `BASELINE_OFFSET_SAME_AS_HEIGHT`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `WebView()` | Creates a `WebView` object.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `BooleanProperty` | `contextMenuEnabledProperty()` | Specifies whether context menu is enabled.
    `DoubleProperty` | `fontScaleProperty()` | Specifies scale factor applied to font.
    `ObjectProperty<FontSmoothingType>` | `fontSmoothingTypeProperty()` | Specifies a requested font smoothing type : gray or LCD.
    `protected ObservableList<Node>` | `getChildren()` | Gets the list of children of this `Parent`.
    `static List<CssMetaData<? extends Styleable,​?>>` | `getClassCssMetaData()` |
    `List<CssMetaData<? extends Styleable,​?>>` | `getCssMetaData()` | This method should delegate to `Node.getClassCssMetaData()` so that a Node's CssMetaData can be accessed without the need for reflection.
    `WebEngine` | `getEngine()` | Returns the `WebEngine` object.
    `double` | `getFontScale()` | Gets the value of the property fontScale.
    `FontSmoothingType` | `getFontSmoothingType()` | Gets the value of the property fontSmoothingType.
    `double` | `getHeight()` | Gets the value of the property height.
    `double` | `getMaxHeight()` | Gets the value of the property maxHeight.
    `double` | `getMaxWidth()` | Gets the value of the property maxWidth.
    `double` | `getMinHeight()` | Gets the value of the property minHeight.
    `double` | `getMinWidth()` | Gets the value of the property minWidth.
    `double` | `getPrefHeight()` | Gets the value of the property prefHeight.
    `double` | `getPrefWidth()` | Gets the value of the property prefWidth.
    `double` | `getWidth()` | Gets the value of the property width.
    `double` | `getZoom()` | Gets the value of the property zoom.
    `ReadOnlyDoubleProperty` | `heightProperty()` | Height of this `WebView`.
    `boolean` | `isContextMenuEnabled()` | Gets the value of the property contextMenuEnabled.
    `boolean` | `isResizable()` | Indicates whether this node is a type which can be resized by its parent.
    `double` | `maxHeight​(double width)` | Called during layout to determine the maximum height for this node.
    `DoubleProperty` | `maxHeightProperty()` | Maximum height property.
    `double` | `maxWidth​(double height)` | Called during layout to determine the maximum width for this node.
    `DoubleProperty` | `maxWidthProperty()` | Maximum width property.
    `double` | `minHeight​(double width)` | Called during layout to determine the minimum height for this node.
    `DoubleProperty` | `minHeightProperty()` | Minimum height property.
    `double` | `minWidth​(double height)` | Called during layout to determine the minimum width for this node.
    `DoubleProperty` | `minWidthProperty()` | Minimum width property.
    `double` | `prefHeight​(double width)` | Called during layout to determine the preferred height for this node.
    `DoubleProperty` | `prefHeightProperty()` | Preferred height property.
    `double` | `prefWidth​(double height)` | Called during layout to determine the preferred width for this node.
    `DoubleProperty` | `prefWidthProperty()` | Preferred width property.
    `void` | `resize​(double width, double height)` | If the node is resizable, will set its layout bounds to the specified width and height.
    `void` | `setContextMenuEnabled​(boolean value)` | Sets the value of the property contextMenuEnabled.
    `void` | `setFontScale​(double value)` | Sets the value of the property fontScale.
    `void` | `setFontSmoothingType​(FontSmoothingType value)` | Sets the value of the property fontSmoothingType.
    `void` | `setMaxHeight​(double value)` | Sets the value of the property maxHeight.
    `void` | `setMaxSize​(double maxWidth, double maxHeight)` | Convenience method for setting maximum width and height.
    `void` | `setMaxWidth​(double value)` | Sets the value of the property maxWidth.
    `void` | `setMinHeight​(double value)` | Sets the value of the property minHeight.
    `void` | `setMinSize​(double minWidth, double minHeight)` | Convenience method for setting minimum width and height.
    `void` | `setMinWidth​(double value)` | Sets the value of the property minWidth.
    `void` | `setPrefHeight​(double value)` | Sets the value of the property prefHeight.
    `void` | `setPrefSize​(double prefWidth, double prefHeight)` | Convenience method for setting preferred width and height.
    `void` | `setPrefWidth​(double value)` | Sets the value of the property prefWidth.
    `void` | `setZoom​(double value)` | Sets the value of the property zoom.
    `ReadOnlyDoubleProperty` | `widthProperty()` | Width of this `WebView`.
    `DoubleProperty` | `zoomProperty()` | The current zoom factor applied to the entire page contents.

    - ### Methods inherited from class javafx.scene.Parent

      `computeMinHeight, computeMinWidth, computePrefHeight, computePrefWidth, getBaselineOffset, getChildrenUnmodifiable, getManagedChildren, getStylesheets, isNeedsLayout, layout, layoutChildren, lookup, needsLayoutProperty, queryAccessibleAttribute, requestLayout, requestParentLayout, setNeedsLayout, updateBounds`

    - ### Methods inherited from class javafx.scene.Node

      `accessibleHelpProperty, accessibleRoleDescriptionProperty, accessibleRoleProperty, accessibleTextProperty, addEventFilter, addEventHandler, applyCss, autosize, blendModeProperty, boundsInLocalProperty, boundsInParentProperty, buildEventDispatchChain, cacheHintProperty, cacheProperty, clipProperty, computeAreaInScreen, contains, contains, cursorProperty, depthTestProperty, disabledProperty, disableProperty, effectiveNodeOrientationProperty, effectProperty, eventDispatcherProperty, executeAccessibleAction, fireEvent, focusedProperty, focusTraversableProperty, getAccessibleHelp, getAccessibleRole, getAccessibleRoleDescription, getAccessibleText, getBlendMode, getBoundsInLocal, getBoundsInParent, getCacheHint, getClip, getContentBias, getCursor, getDepthTest, getEffect, getEffectiveNodeOrientation, getEventDispatcher, getId, getInitialCursor, getInitialFocusTraversable, getInputMethodRequests, getLayoutBounds, getLayoutX, getLayoutY, getLocalToParentTransform, getLocalToSceneTransform, getNodeOrientation, getOnContextMenuRequested, getOnDragDetected, getOnDragDone, getOnDragDropped, getOnDragEntered, getOnDragExited, getOnDragOver, getOnInputMethodTextChanged, getOnKeyPressed, getOnKeyReleased, getOnKeyTyped, getOnMouseClicked, getOnMouseDragEntered, getOnMouseDragExited, getOnMouseDragged, getOnMouseDragOver, getOnMouseDragReleased, getOnMouseEntered, getOnMouseExited, getOnMouseMoved, getOnMousePressed, getOnMouseReleased, getOnRotate, getOnRotationFinished, getOnRotationStarted, getOnScroll, getOnScrollFinished, getOnScrollStarted, getOnSwipeDown, getOnSwipeLeft, getOnSwipeRight, getOnSwipeUp, getOnTouchMoved, getOnTouchPressed, getOnTouchReleased, getOnTouchStationary, getOnZoom, getOnZoomFinished, getOnZoomStarted, getOpacity, getParent, getProperties, getPseudoClassStates, getRotate, getRotationAxis, getScaleX, getScaleY, getScaleZ, getScene, getStyle, getStyleableParent, getStyleClass, getTransforms, getTranslateX, getTranslateY, getTranslateZ, getTypeSelector, getUserData, getViewOrder, hasProperties, hoverProperty, idProperty, inputMethodRequestsProperty, intersects, intersects, isCache, isDisable, isDisabled, isFocused, isFocusTraversable, isHover, isManaged, isMouseTransparent, isPickOnBounds, isPressed, isVisible, layoutBoundsProperty, layoutXProperty, layoutYProperty, localToParent, localToParent, localToParent, localToParent, localToParent, localToParentTransformProperty, localToScene, localToScene, localToScene, localToScene, localToScene, localToScene, localToScene, localToScene, localToScene, localToScene, localToSceneTransformProperty, localToScreen, localToScreen, localToScreen, localToScreen, localToScreen, lookupAll, managedProperty, mouseTransparentProperty, nodeOrientationProperty, notifyAccessibleAttributeChanged, onContextMenuRequestedProperty, onDragDetectedProperty, onDragDoneProperty, onDragDroppedProperty, onDragEnteredProperty, onDragExitedProperty, onDragOverProperty, onInputMethodTextChangedProperty, onKeyPressedProperty, onKeyReleasedProperty, onKeyTypedProperty, onMouseClickedProperty, onMouseDragEnteredProperty, onMouseDragExitedProperty, onMouseDraggedProperty, onMouseDragOverProperty, onMouseDragReleasedProperty, onMouseEnteredProperty, onMouseExitedProperty, onMouseMovedProperty, onMousePressedProperty, onMouseReleasedProperty, onRotateProperty, onRotationFinishedProperty, onRotationStartedProperty, onScrollFinishedProperty, onScrollProperty, onScrollStartedProperty, onSwipeDownProperty, onSwipeLeftProperty, onSwipeRightProperty, onSwipeUpProperty, onTouchMovedProperty, onTouchPressedProperty, onTouchReleasedProperty, onTouchStationaryProperty, onZoomFinishedProperty, onZoomProperty, onZoomStartedProperty, opacityProperty, parentProperty, parentToLocal, parentToLocal, parentToLocal, parentToLocal, parentToLocal, pickOnBoundsProperty, pressedProperty, pseudoClassStateChanged, relocate, removeEventFilter, removeEventHandler, requestFocus, resizeRelocate, rotateProperty, rotationAxisProperty, scaleXProperty, scaleYProperty, scaleZProperty, sceneProperty, sceneToLocal, sceneToLocal, sceneToLocal, sceneToLocal, sceneToLocal, sceneToLocal, sceneToLocal, sceneToLocal, screenToLocal, screenToLocal, screenToLocal, setAccessibleHelp, setAccessibleRole, setAccessibleRoleDescription, setAccessibleText, setBlendMode, setCache, setCacheHint, setClip, setCursor, setDepthTest, setDisable, setDisabled, setEffect, setEventDispatcher, setEventHandler, setFocused, setFocusTraversable, setHover, setId, setInputMethodRequests, setLayoutX, setLayoutY, setManaged, setMouseTransparent, setNodeOrientation, setOnContextMenuRequested, setOnDragDetected, setOnDragDone, setOnDragDropped, setOnDragEntered, setOnDragExited, setOnDragOver, setOnInputMethodTextChanged, setOnKeyPressed, setOnKeyReleased, setOnKeyTyped, setOnMouseClicked, setOnMouseDragEntered, setOnMouseDragExited, setOnMouseDragged, setOnMouseDragOver, setOnMouseDragReleased, setOnMouseEntered, setOnMouseExited, setOnMouseMoved, setOnMousePressed, setOnMouseReleased, setOnRotate, setOnRotationFinished, setOnRotationStarted, setOnScroll, setOnScrollFinished, setOnScrollStarted, setOnSwipeDown, setOnSwipeLeft, setOnSwipeRight, setOnSwipeUp, setOnTouchMoved, setOnTouchPressed, setOnTouchReleased, setOnTouchStationary, setOnZoom, setOnZoomFinished, setOnZoomStarted, setOpacity, setPickOnBounds, setPressed, setRotate, setRotationAxis, setScaleX, setScaleY, setScaleZ, setStyle, setTranslateX, setTranslateY, setTranslateZ, setUserData, setViewOrder, setVisible, snapshot, snapshot, startDragAndDrop, startFullDrag, styleProperty, toBack, toFront, toString, translateXProperty, translateYProperty, translateZProperty, usesMirroring, viewOrderProperty, visibleProperty`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface javafx.css.Styleable

      `getStyleableNode`

- - ### Property Detail

    - #### width

          public ReadOnlyDoubleProperty widthProperty

      Width of this `WebView`.
      See Also:
        `getWidth()`

    - #### height

          public ReadOnlyDoubleProperty heightProperty

      Height of this `WebView`.
      See Also:
        `getHeight()`

    - #### zoom

          public final DoubleProperty zoomProperty

      The current zoom factor applied to the entire page contents.
      Default value:
        1.0
      Since:
        JavaFX 8.0
      See Also:
        `getZoom()`, `setZoom(double)`

    - #### fontScale

          public DoubleProperty fontScaleProperty

      Specifies scale factor applied to font. This setting affects text content but not images and fixed size elements.
      Default value:
        1.0
      See Also:
        `getFontScale()`, `setFontScale(double)`

    - #### minWidth

          public DoubleProperty minWidthProperty

      Minimum width property.
      See Also:
        `getMinWidth()`, `setMinWidth(double)`

    - #### minHeight

          public DoubleProperty minHeightProperty

      Minimum height property.
      See Also:
        `getMinHeight()`, `setMinHeight(double)`

    - #### prefWidth

          public DoubleProperty prefWidthProperty

      Preferred width property.
      See Also:
        `getPrefWidth()`, `setPrefWidth(double)`

    - #### prefHeight

          public DoubleProperty prefHeightProperty

      Preferred height property.
      See Also:
        `getPrefHeight()`, `setPrefHeight(double)`

    - #### maxWidth

          public DoubleProperty maxWidthProperty

      Maximum width property.
      See Also:
        `getMaxWidth()`, `setMaxWidth(double)`

    - #### maxHeight

          public DoubleProperty maxHeightProperty

      Maximum height property.
      See Also:
        `getMaxHeight()`, `setMaxHeight(double)`

    - #### fontSmoothingType

          public final ObjectProperty<FontSmoothingType> fontSmoothingTypeProperty

      Specifies a requested font smoothing type : gray or LCD. The width of the bounding box is defined by the widest row. Note: LCD mode doesn't apply in numerous cases, such as various compositing modes, where effects are applied and very large glyphs.
      Default value:
        FontSmoothingType.LCD
      Since:
        JavaFX 2.2
      See Also:
        `getFontSmoothingType()`, `setFontSmoothingType(FontSmoothingType)`

    - #### contextMenuEnabled

          public final BooleanProperty contextMenuEnabledProperty

      Specifies whether context menu is enabled.
      Default value:
        true
      Since:
        JavaFX 2.2
      See Also:
        `isContextMenuEnabled()`, `setContextMenuEnabled(boolean)`

  - ### Constructor Detail

    - #### WebView

          public WebView()

      Creates a `WebView` object.

  - ### Method Detail

    - #### getEngine

          public final WebEngine getEngine()

      Returns the `WebEngine` object.
      Returns:
        the WebEngine

    - #### getWidth

          public final double getWidth()

      Gets the value of the property width.
      Property description:
        Width of this `WebView`.

    - #### widthProperty

          public ReadOnlyDoubleProperty widthProperty()

      Width of this `WebView`.
      See Also:
        `getWidth()`

    - #### getHeight

          public final double getHeight()

      Gets the value of the property height.
      Property description:
        Height of this `WebView`.

    - #### heightProperty

          public ReadOnlyDoubleProperty heightProperty()

      Height of this `WebView`.
      See Also:
        `getHeight()`

    - #### setZoom

          public final void setZoom​(double value)

      Sets the value of the property zoom.
      Property description:
        The current zoom factor applied to the entire page contents.
      Default value:
        1.0
      Since:
        JavaFX 8.0

    - #### getZoom

          public final double getZoom()

      Gets the value of the property zoom.
      Property description:
        The current zoom factor applied to the entire page contents.
      Default value:
        1.0
      Since:
        JavaFX 8.0

    - #### zoomProperty

          public final DoubleProperty zoomProperty()

      The current zoom factor applied to the entire page contents.
      Default value:
        1.0
      Since:
        JavaFX 8.0
      See Also:
        `getZoom()`, `setZoom(double)`

    - #### setFontScale

          public final void setFontScale​(double value)

      Sets the value of the property fontScale.
      Property description:
        Specifies scale factor applied to font. This setting affects text content but not images and fixed size elements.
      Default value:
        1.0

    - #### getFontScale

          public final double getFontScale()

      Gets the value of the property fontScale.
      Property description:
        Specifies scale factor applied to font. This setting affects text content but not images and fixed size elements.
      Default value:
        1.0

    - #### fontScaleProperty

          public DoubleProperty fontScaleProperty()

      Specifies scale factor applied to font. This setting affects text content but not images and fixed size elements.
      Default value:
        1.0
      See Also:
        `getFontScale()`, `setFontScale(double)`

    - #### isResizable

          public boolean isResizable()

      Description copied from class: `Node`
      Indicates whether this node is a type which can be resized by its parent. If this method returns true, then the parent will resize the node (ideally within its size range) by calling node.resize(width,height) during the layout pass. All Regions, Controls, and WebView are resizable classes which depend on their parents resizing them during layout once all sizing and CSS styling information has been applied.

      If this method returns false, then the parent cannot resize it during layout (resize() is a no-op) and it should return its layoutBounds for minimum, preferred, and maximum sizes. Group, Text, and all Shapes are not resizable and hence depend on the application to establish their sizing by setting appropriate properties (e.g. width/height for Rectangle, text on Text, and so on). Non-resizable nodes may still be relocated during layout.

      Overrides:
        `isResizable` in class `Node`
      Returns:
        whether or not this node type can be resized by its parent during layout
      See Also:
        `Node.getContentBias()`, `Node.minWidth(double)`, `Node.minHeight(double)`, `Node.prefWidth(double)`, `Node.prefHeight(double)`, `Node.maxWidth(double)`, `Node.maxHeight(double)`, `Node.resize(double, double)`, `Node.getLayoutBounds()`

    - #### resize

          public void resize​(double width,
                             double height)

      Description copied from class: `Node`
      If the node is resizable, will set its layout bounds to the specified width and height. If the node is not resizable, this method is a no-op.

      This method should generally only be called by parent nodes from their layoutChildren() methods. All Parent classes will automatically resize resizable children, so resizing done directly by the application will be overridden by the node's parent, unless the child is unmanaged.

      Parents are responsible for ensuring the width and height values fall within the resizable node's preferred range. The autosize() method may be used if the parent just needs to resize the node to its preferred size.

      Overrides:
        `resize` in class `Node`
      Parameters:
        `width` - the target layout bounds width
        `height` - the target layout bounds height
      See Also:
        `Node.isResizable()`, `Node.getContentBias()`, `Node.autosize()`, `Node.minWidth(double)`, `Node.minHeight(double)`, `Node.prefWidth(double)`, `Node.prefHeight(double)`, `Node.maxWidth(double)`, `Node.maxHeight(double)`, `Node.getLayoutBounds()`

    - #### minWidth

          public final double minWidth​(double height)

      Called during layout to determine the minimum width for this node.
      Overrides:
        `minWidth` in class `Parent`
      Parameters:
        `height` - the height that should be used if minimum width depends on it
      Returns:
        the minimum width that this node should be resized to during layout
      See Also:
        `Node.isResizable()`, `Node.getContentBias()`

    - #### minHeight

          public final double minHeight​(double width)

      Called during layout to determine the minimum height for this node.
      Overrides:
        `minHeight` in class `Parent`
      Parameters:
        `width` - the width that should be used if minimum height depends on it
      Returns:
        the minimum height that this node should be resized to during layout
      See Also:
        `Node.isResizable()`, `Node.getContentBias()`

    - #### prefWidth

          public final double prefWidth​(double height)

      Called during layout to determine the preferred width for this node.
      Overrides:
        `prefWidth` in class `Parent`
      Parameters:
        `height` - the height that should be used if preferred width depends on it
      Returns:
        the preferred width that this node should be resized to during layout
      See Also:
        `Node.isResizable()`, `Node.getContentBias()`, `Node.autosize()`

    - #### prefHeight

          public final double prefHeight​(double width)

      Called during layout to determine the preferred height for this node.
      Overrides:
        `prefHeight` in class `Parent`
      Parameters:
        `width` - the width that should be used if preferred height depends on it
      Returns:
        the preferred height that this node should be resized to during layout
      See Also:
        `Node.getContentBias()`, `Node.autosize()`

    - #### maxWidth

          public final double maxWidth​(double height)

      Called during layout to determine the maximum width for this node.
      Overrides:
        `maxWidth` in class `Node`
      Parameters:
        `height` - the height that should be used if maximum width depends on it
      Returns:
        the maximum width that this node should be resized to during layout
      See Also:
        `Node.isResizable()`, `Node.getContentBias()`

    - #### maxHeight

          public final double maxHeight​(double width)

      Called during layout to determine the maximum height for this node.
      Overrides:
        `maxHeight` in class `Node`
      Parameters:
        `width` - the width that should be used if maximum height depends on it
      Returns:
        the maximum height that this node should be resized to during layout
      See Also:
        `Node.isResizable()`, `Node.getContentBias()`

    - #### minWidthProperty

          public DoubleProperty minWidthProperty()

      Minimum width property.
      See Also:
        `getMinWidth()`, `setMinWidth(double)`

    - #### setMinWidth

          public final void setMinWidth​(double value)

      Sets the value of the property minWidth.
      Property description:
        Minimum width property.

    - #### getMinWidth

          public final double getMinWidth()

      Gets the value of the property minWidth.
      Property description:
        Minimum width property.

    - #### minHeightProperty

          public DoubleProperty minHeightProperty()

      Minimum height property.
      See Also:
        `getMinHeight()`, `setMinHeight(double)`

    - #### setMinHeight

          public final void setMinHeight​(double value)

      Sets the value of the property minHeight.
      Property description:
        Minimum height property.

    - #### getMinHeight

          public final double getMinHeight()

      Gets the value of the property minHeight.
      Property description:
        Minimum height property.

    - #### setMinSize

          public void setMinSize​(double minWidth,
                                 double minHeight)

      Convenience method for setting minimum width and height.
      Parameters:
        `minWidth` - the minimum width
        `minHeight` - the minimum height

    - #### prefWidthProperty

          public DoubleProperty prefWidthProperty()

      Preferred width property.
      See Also:
        `getPrefWidth()`, `setPrefWidth(double)`

    - #### setPrefWidth

          public final void setPrefWidth​(double value)

      Sets the value of the property prefWidth.
      Property description:
        Preferred width property.

    - #### getPrefWidth

          public final double getPrefWidth()

      Gets the value of the property prefWidth.
      Property description:
        Preferred width property.

    - #### prefHeightProperty

          public DoubleProperty prefHeightProperty()

      Preferred height property.
      See Also:
        `getPrefHeight()`, `setPrefHeight(double)`

    - #### setPrefHeight

          public final void setPrefHeight​(double value)

      Sets the value of the property prefHeight.
      Property description:
        Preferred height property.

    - #### getPrefHeight

          public final double getPrefHeight()

      Gets the value of the property prefHeight.
      Property description:
        Preferred height property.

    - #### setPrefSize

          public void setPrefSize​(double prefWidth,
                                  double prefHeight)

      Convenience method for setting preferred width and height.
      Parameters:
        `prefWidth` - the preferred width
        `prefHeight` - the preferred height

    - #### maxWidthProperty

          public DoubleProperty maxWidthProperty()

      Maximum width property.
      See Also:
        `getMaxWidth()`, `setMaxWidth(double)`

    - #### setMaxWidth

          public final void setMaxWidth​(double value)

      Sets the value of the property maxWidth.
      Property description:
        Maximum width property.

    - #### getMaxWidth

          public final double getMaxWidth()

      Gets the value of the property maxWidth.
      Property description:
        Maximum width property.

    - #### maxHeightProperty

          public DoubleProperty maxHeightProperty()

      Maximum height property.
      See Also:
        `getMaxHeight()`, `setMaxHeight(double)`

    - #### setMaxHeight

          public final void setMaxHeight​(double value)

      Sets the value of the property maxHeight.
      Property description:
        Maximum height property.

    - #### getMaxHeight

          public final double getMaxHeight()

      Gets the value of the property maxHeight.
      Property description:
        Maximum height property.

    - #### setMaxSize

          public void setMaxSize​(double maxWidth,
                                 double maxHeight)

      Convenience method for setting maximum width and height.
      Parameters:
        `maxWidth` - the maximum width
        `maxHeight` - the maximum height

    - #### setFontSmoothingType

          public final void setFontSmoothingType​(FontSmoothingType value)

      Sets the value of the property fontSmoothingType.
      Property description:
        Specifies a requested font smoothing type : gray or LCD. The width of the bounding box is defined by the widest row. Note: LCD mode doesn't apply in numerous cases, such as various compositing modes, where effects are applied and very large glyphs.
      Default value:
        FontSmoothingType.LCD
      Since:
        JavaFX 2.2

    - #### getFontSmoothingType

          public final FontSmoothingType getFontSmoothingType()

      Gets the value of the property fontSmoothingType.
      Property description:
        Specifies a requested font smoothing type : gray or LCD. The width of the bounding box is defined by the widest row. Note: LCD mode doesn't apply in numerous cases, such as various compositing modes, where effects are applied and very large glyphs.
      Default value:
        FontSmoothingType.LCD
      Since:
        JavaFX 2.2

    - #### fontSmoothingTypeProperty

          public final ObjectProperty<FontSmoothingType> fontSmoothingTypeProperty()

      Specifies a requested font smoothing type : gray or LCD. The width of the bounding box is defined by the widest row. Note: LCD mode doesn't apply in numerous cases, such as various compositing modes, where effects are applied and very large glyphs.
      Default value:
        FontSmoothingType.LCD
      Since:
        JavaFX 2.2
      See Also:
        `getFontSmoothingType()`, `setFontSmoothingType(FontSmoothingType)`

    - #### setContextMenuEnabled

          public final void setContextMenuEnabled​(boolean value)

      Sets the value of the property contextMenuEnabled.
      Property description:
        Specifies whether context menu is enabled.
      Default value:
        true
      Since:
        JavaFX 2.2

    - #### isContextMenuEnabled

          public final boolean isContextMenuEnabled()

      Gets the value of the property contextMenuEnabled.
      Property description:
        Specifies whether context menu is enabled.
      Default value:
        true
      Since:
        JavaFX 2.2

    - #### contextMenuEnabledProperty

          public final BooleanProperty contextMenuEnabledProperty()

      Specifies whether context menu is enabled.
      Default value:
        true
      Since:
        JavaFX 2.2
      See Also:
        `isContextMenuEnabled()`, `setContextMenuEnabled(boolean)`

    - #### getClassCssMetaData

          public static List<CssMetaData<? extends Styleable,​?>> getClassCssMetaData()

      Returns:
        The CssMetaData associated with this class, which may include the CssMetaData of its superclasses.
      Since:
        JavaFX 8.0

    - #### getCssMetaData

          public List<CssMetaData<? extends Styleable,​?>> getCssMetaData()

      This method should delegate to `Node.getClassCssMetaData()` so that a Node's CssMetaData can be accessed without the need for reflection.
      Specified by:
        `getCssMetaData` in interface `Styleable`
      Overrides:
        `getCssMetaData` in class `Node`
      Returns:
        The CssMetaData associated with this node, which may include the CssMetaData of its superclasses.
      Since:
        JavaFX 8.0

    - #### getChildren

          protected ObservableList<Node> getChildren()

      Description copied from class: `Parent`
      Gets the list of children of this `Parent`.

      See the class documentation for `Node` for scene graph structure restrictions on setting a `Parent`'s children list. If these restrictions are violated by a change to the list of children, the change is ignored and the previous value of the children list is restored. An `IllegalArgumentException` is thrown in this case.

      If this `Parent` node is attached to a `Scene` attached to a `Window` that is showning (`Window.isShowing()`), then its list of children must only be modified on the JavaFX Application Thread. An `IllegalStateException` is thrown if this restriction is violated.

      Note to subclasses: if you override this method, you must return from your implementation the result of calling this super method. The actual list instance returned from any getChildren() implementation must be the list owned and managed by this Parent. The only typical purpose for overriding this method is to promote the method to be public.

      Overrides:
        `getChildren` in class `Parent`
      Returns:
        the list of children of this `Parent`.